import axios from '@/utils/axios'

export default {
  /**
   * 获取模板列表(新)
   */
  getNewTemplateList(params) {
    return axios.get('/v2/report/template/list', { params })
  },
  /**
   * 获取用户有权使用的模板列表
   */
  getNewTemplateListByUser(data) {
    return axios.post('/v1/new/template/user', data)
  },
  /**
   * 根据ID获取模板(新)
   */
  getNewTemplate(data) {
    return axios.get('/v2/report/template/' + data)
  },
  /**
   * 根据ID删除模板(新)
   */
  deleteNewTemplate(params) {
    return axios({
      url: '/v2/report/template/delete',
      method: 'post',
      params: params
    })
  },
  /**
   * 新增模板(新)
   */
  addNewTemplate(data) {
    return axios.post('/v2/report/template/add', data)
  },
  /**
   * 编辑模板(新)
   */
  editNewTemplate(data) {
    return axios.post('/v2/report/template/edit', data)
  },
  /**
   * 编辑模板标签
   */
  editTemplateLabel(data) {
    return axios.post('/v2/report/template/label/edit', data)
  },
  /**
   * 获取模板列表
   */
  getTemplateList(data) {
    return axios.post('/template/list', data)
  },
  /**
   * 根据ID获取模板分析树
   */
  getTemplateTree(data) {
    return axios.post('/template/tree', data)
  },
  /**
   * 根据ID删除模板
   */
  deleteTemplate(data) {
    return axios.post('/template/delete', data)
  },
  /**
   * 新增模板
   */
  addTemplate(data) {
    return axios.post('/template/add', data)
  },
  /**
   * 编辑模板
   */
  editTemplate(data) {
    return axios.post('/template/edit', data)
  },
  /**
   * 获取模板分析项列表
   */
  getTemplateItemList(data) {
    return axios.post('/template/item/list', data)
  },
  /**
   * 根据ID获取模板分析项
   */
  getTemplateItem(data) {
    return axios.post('/template/item', data)
  },
  /**
   * 根据ID删除模板分析项
   */
  deleteTemplateItem(data) {
    return axios.post('/template/item/delete', data)
  },
  /**
   * 根据IDS删除模板分析项
   */
  deleteBatchTemplateItem(data) {
    return axios.post('/template/item/delete/batch', data)
  },
  /**
   * 新增模板分析项
   */
  addTemplateItem(data) {
    return axios.post('/template/item/add', data)
  },
  /**
   * 编辑模板分析项
   */
  editTemplateItem(data) {
    return axios.post('/template/item/edit', data)
  },
  /**
   * 新增模板分析树
   */
  addTemplateTree(data) {
    return axios.post('/template/tree/add', data)
  },
  /**
   * 编辑模板分析树
   */
  editTemplateTree(data) {
    return axios.post('/template/tree/edit', data)
  },
  /**
   * 删除模板分析树
   */
  deleteTemplateTree(data) {
    return axios.post('/template/tree/delete', data)
  }
}
